summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorPaul Smith <psmith@gnu.org>2019-05-19 11:25:06 -0400
committerPaul Smith <psmith@gnu.org>2019-05-19 15:27:26 -0400
commitda2b275658af2cb973a3c8b6e3c17ed47c03e560 (patch)
tree9757e0969adfd35b00780b7fab731b727c869ed0 /scripts
parentf32ca1666f12a053fece8f2ef5da45f3b1b5822c (diff)
downloadmake-git-da2b275658af2cb973a3c8b6e3c17ed47c03e560.tar.gz
Update developer customizations
* .ccls: Remove -std=c99: it disables __attribute__ causing warnings. * .dir-locals.el: Force the C coding style to "gnu". * make-gdb.py: Add GDB macros for pretty-printing GNU make structs. * scripts/copyright-update: Use GNULIB_SRCDIR to find update-copyright.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/copyright-update9
1 files changed, 5 insertions, 4 deletions
diff --git a/scripts/copyright-update b/scripts/copyright-update
index a31cf0a9..2e7c598b 100755
--- a/scripts/copyright-update
+++ b/scripts/copyright-update
@@ -5,11 +5,14 @@
#
# Update GNU make copyrights using gnulib update-copyright
-update=${UPDATE_COPYRIGHT:-../../gnulib/build-aux/update-copyright}
+update=${UPDATE_COPYRIGHT:-${GNULIB_SRCDIR:-../../gnulib}/build-aux/update-copyright}
die () { echo "$*"; exit 1; }
run () {
+ cmd=$(command -v "$update") || die "Cannot locate update-copyright ($update)"
+ [ -x "$cmd" ] || die "Cannot locate update-copyright ($update)"
+
EXCLUDE='^\(.*/\.[a-z].*\|.*COPYING\|glob/.*\|src/hash\.[ch]\|ChangeLog\.[0-9]*\|.*/ChangeLog\.[0-9]*\|INSTALL\|doc/make\.texi\)$'
force=false
@@ -29,12 +32,10 @@ run () {
die "Run in a clean workspace (git clean -fdX)"
fi
- [ -x "$update" ] || die "Cannot locate update-copyright ($update)"
-
# We use intervals
export UPDATE_COPYRIGHT_USE_INTERVALS=1
- "$update" $(find * -type f | grep -v "$EXCLUDE")
+ "$cmd" $(find * -type f | grep -v "$EXCLUDE")
echo "*** Update doc/make.texi copyright by hand!"
echo "*** Update src/main.c:print_version() copyright by hand!"